Bug 1253897 - bzr-2.1.1-2.el6 cannot access with http with python-lib 2.6.6-64
bzr-2.1.1-2.el6 cannot access with http with python-lib 2.6.6-64
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bzr (Show other bugs)
6.7
All Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: pstodulk
qe-baseos-daemons
: EasyFix, FastFix, Patch
Depends On:
Blocks: 1356044
  Show dependency treegraph
 
Reported: 2015-08-15 03:11 EDT by Yasuhito FUTATSUKI
Modified: 2017-09-14 08:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yasuhito FUTATSUKI 2015-08-15 03:11:48 EDT
Description of problem:


Version-Release number of selected component (if applicable):
bzr-2.1.1-2.el6 (with python-libs-2.6.6-64.el6)

How reproducible:
bzr info lp:mailman/2.1
, etc.

Steps to Reproduce:
1. run bzr to access remote repos with http or https, for example,
    bzr info lp:mailman/2.1

Actual results:
Crash with exception. Last few lines of trace:
  File "/usr/lib64/python2.6/site-packages/bzrlib/transport/http/_urllib2_wrappe
rs.py", line 164, in begin
    httplib.HTTPResponse.begin(self)
  File "/usr/lib64/python2.6/httplib.py", line 404, in begin
    version, status, reason = self._read_status()
  File "/usr/lib64/python2.6/httplib.py", line 360, in _read_status
    line = self.fp.readline(_MAXLINE + 1)
TypeError: readline() takes exactly 1 argument (2 given)

Expected results:
Information about repository is reported.

Repository branch (format: unnamed)
Location:
  shared repository: bzr+ssh://bazaar.launchpad.net/%2Bbranch/mailman/2.1/
  repository branch: bzr+ssh://bazaar.launchpad.net/%2Bbranch/mailman/2.1/
                                                                               
Related branches:
  parent branch: http://bazaar.launchpad.net/~vcs-imports/mailman/2.1/

Additional info:
This is caused by CVE-2013-1752 fix on 2.6.6-62, CVE-2013-1752.patch.
It changes interface for HTTPResponse.fp.readline(). This is just same
as bug reported for bzr 2.2 with Python 2.7, 
   https://bugs.launchpad.net/bzr/+bug/693880

A fix patch will be found on https://code.launchpad.net/~jelmer/bzr/readline-size/+merge/44612/+preview-diff/78466/+files/preview.diff
Comment 2 pstodulk 2015-08-17 02:37:41 EDT
Hi Yasuhito,
thanks for report and investigation. Good job. Supposed patch works as well. It could be fasttrack probably.
Comment 3 Adam Goode 2015-12-08 21:19:59 EST
Is there an update to this? It breaks building https://github.com/google/cups-connector from source with "go get".
Comment 4 pstodulk 2015-12-09 04:37:57 EST
Hi Adam. Unfortunately not. It seems that bzr will not be updated in rhel-6.8.

Note You need to log in before you can comment on or make changes to this bug.